/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AddEvaluate;
import com.taais.biz.domain.TaskTrackResultBo;
import com.taais.biz.domain.TrackSequence;
import com.taais.biz.domain.vo.TrackSequenceVo;
import com.taais.biz.domain.bo.TrackSequenceBo;
import com.taais.common.core.core.domain.CommonResult;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;
import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;

/**
 * 注视轨迹序列Service接口
 *
 * @author wangkang
 * 2024-09-22
 */
public interface ITrackSequenceService extends IBaseService<TrackSequence> {
    /**
     * 查询注视轨迹序列
     *
     * @param id 注视轨迹序列主键
     * @return 注视轨迹序列
     */
        TrackSequenceVo selectById(Long id);

    /**
     * 查询注视轨迹序列列表
     *
     * @param trackSequenceBo 注视轨迹序列Bo
     * @return 注视轨迹序列集合
     */
    List<TrackSequenceVo> selectList(TrackSequenceBo trackSequenceBo);

    /**
     * 分页查询注视轨迹序列列表
     *
     * @param trackSequenceBo 注视轨迹序列Bo
     * @return 分页注视轨迹序列集合
     */
    PageResult<TrackSequenceVo> selectPage(TrackSequenceBo trackSequenceBo);

    /**
     * 新增注视轨迹序列
     *
     * @param trackSequenceBo 注视轨迹序列Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    CommonResult insert(TrackSequenceBo trackSequenceBo);

    /**
     * 修改注视轨迹序列
     *
     * @param trackSequenceBo 注视轨迹序列Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(TrackSequenceBo trackSequenceBo);

    /**
     * 批量删除注视轨迹序列
     *
     * @param ids 需要删除的注视轨迹序列主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    CommonResult start(Long id);

    CommonResult stop(Long id);

    ResponseEntity<Resource> zipImages(Long id);

    CommonResult getResult(TaskTrackResultBo taskTrackResultBo);

    CommonResult getLog(Long id);

    CommonResult getDetail(Long id);

    CommonResult addEvaluate(AddEvaluate addEvaluate);

    CommonResult getModelList(Long id);
}
